% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************
\graphicspath{{Chapter7/Figures}}


\chapter{GNSS-based Cooperative Positioning Implementation and Performance Analysis}
\label{ch:theoreticalResults}

Availability, precision and accuracy are among the key performance parameters for the evaluation of a positioning and navigation system. This chapter presents a set of fundamental results concerning the expected performance of the hybridized navigation filters described in Chapter \ref{ch:navFilters}. A preliminary investigation, presented in\cite{minetto2017IAR} was performed through \ac{H-LMS} integrating \ac{IAR} collaborative contributions to compensate for \ac{GNSS} outages in conditions of poor sky visibility. The fundamental results of such an analysis were obtained exploiting a further processing stage including a \ac{KF} acting on the positioning solution as presented in Section \ref{sec:outagesComp}. A deep analysis was then performed through the computation of the \ac{CRLB} for \ac{H-LMS} and \ac{H-EKF} to show by means of numerical examples that \ac{IAR} measurements can increase the overall amount of information about the positioning problem despite being correlated to satellite range measurements. Section \ref{sec:CRLBsec} provides indeed a general overview about the precision improvement in the hybrid \ac{GNSS} collaborative positioning \cite{8926529}. A further simulation analysis concerning the estimation accuracy is presented in Section \ref{sec:accuracySec}. The investigation was based on realistic \ac{RF} signals processed through a fully-software receiver modified to perform \ac{CP}. The positioning performance were evaluated for a \ac{H-EKF} integrating \ac{DD} ranging  varying the number and the geometry of contributing aiding agents and the number and position of visible satellites. Therefore, Section \ref{sec:accuracySec} presents the analysis of the positioning accuracy in a collaborative multi-agent system, thus integrating multiple collaborative measurements at each time epoch. Eventually, Section \ref{sec:ekf_pfSec} presents the comparative results of the hybridization of \ac{EKF} and \ac{PF} along with a discussion about the applicability of each filter in a non-parallel architecture. 

 
 
% A first analysis discussed in \cite{minetto2017IAR}, addressed the use of collaborative measurements to compensate for \ac{GNSS} short-time outages, thus mitigating severe drifts of GNSS-only positioning due to a lack of visible satellites. Furthermore, as discussed in Chapter \ref{ch:navFilters}, the maximum precision achievable through a given navigation filter is described by its \ac{CRLB}. In the context of \ac{CP}, this fundamental limit must consider the quality and the geometry of all the involved measurements \cite{7112186}\cite{minettoCRLB}. The \ac{CRLB} can be estimated through statistical simulations using a high number of Monte Carlo trials in which the noise component are randomly generated according to a predefined distribution (i.e. Gaussian distribution). Differently, the accuracy can be investigated within single-trial analysis, thus requiring less computational effort and guaranteeing higher flexibility of the others simulation parameters.  \\
% 
% ********************** Define Graphics Path ********************

\section{Multiagent collaborative IAR measurements for compensation of GNSS outages}
\label{sec:outagesComp}

\ac{GNSS}-based \ac{CP} can be a useful technique to mitigate \ac{GNSS} outages, thus ensuring improved positioning availability of networked \ac{GNSS} receivers. The study presented hereafter extends the preliminary results published in \cite{MinettoIAReusipco} and \cite{minetto2017IAR}. %The positioning solution is supported by a \ac{KF} for the smoothing of aided \ac{PVT} fixes \cite{MinettoIAReusipco} obtained by hybridization of \ac{GNSS} legacy pseudoranges and collaboratively generated pseudo-\ac{IAR}, offered by cooperative aiding agents. 
The proposed technique allows to mitigate \ac{GNSS} service unavailability experienced in urban scenario through the proposed collaborative ranging measurements and a combination. The solution affords an updated \ac{LMS} state solution exploiting \ac{KF} prediction and collaborative ranging information of, at least, one collaborating agent with a single satellite in common view. It will be shown that, in some specific conditions, the implementation of \ac{IAR} and the \ac{H-LMS} induces an improvement of the availability of \ac{GNSS}-based \ac{PVT} solutions. It is worth mentioning that as far as the study was conceived, all the results are referred to simulated data and they aim at assessing the usability of collaborative measurements and their consistency w.r.t. pseudorange measurements used in the standalone \ac{LMS} \ac{PVT} solution.

\subsection{Pseudo-IAR-based Robust Collaborative Algorithm}
The \ac{GNSS}/\ac{IAR} integration algorithm introduced in \cite{MinettoIAReusipco} has been redesigned according to the following conditions:

\begin{itemize}
\item at a given instant $t_k$, agent $A$ experiences a lack of pseudoranges measurements due to harsh conditions. The \ac{GNSS} failure is due to instantaneous or persistent \ac{LoS} obstruction for a given receiver-satellite pair. Therefore, it will be referred as \textit{target} or \textit{aided agent}.
\item Agent $B$ does not experience visibility issues and it gets reliable fixes along the time relying on its \ac{GNSS} receiver. It can hence be classified as \textit{aiding agent}.
\item both the receivers observe the same portion of the sky but their constellation visibility is related to different harshness conditions, thus a reduced set of visible satellites is in common view.
\end{itemize}

\subsubsection{Kalman state prediction as a-priori state estimate}

\begin{figure}
\centering
\includegraphics[width=0.8\columnwidth,trim={1.5cm 1.5cm 1.5cm 1.5cm},clip]{/AVAIL/EKF_smooth.pdf}
\caption{{\small \ac{KF} Loop for the smoothing of hybrid \ac{PVT} solutions.}}
\label{fig:kalmanPoseTight}
\end{figure} 

Differently from the implementation discussed in Chapter \ref{ch:navFilters} for the tight-integration of collaborative measurements, this section investigate the use of a direct \ac{KF} for the smoothing of the positioning solution provided by a \ac{H-LMS} navigation filter. Supposed to rely on a warning system which provides information about the stability of the signal tracking according to visibility condition and the received signal quality, the \ac{GNSS} receiver of a given agent should evaluate the level of harshness for the experienced environment asking for collaborative aids, if needed. Every instant $t_{k-1}$, at which a receiver is capable to solve for its position, it can also propagate such a solution to the next epoch $t_{k}$ exploiting a direct $KF$ \ac{PVT} routine \cite{brown}. The \ac{KF} is supposed to rely on a-priori dynamic model, predicting at the time $t_{k-1}$ the next state vector, $x_k^-$ and merging further \ac{GNSS} measurements, $z_k$, at time $t_k$ to update the position estimate $x_k$ as show in the block scheme depicted in Figure \ref{fig:kalmanPoseTight}.

According to the fundamental theory presented in Chapter \ref{ch:navFilters}, the motion of each agent is modelled and propagated by means of a transition matrix $\Phi_k$ following a standard constant-velocity model \cite{brown}. Motion and velocity noise components will be considered as a process noise modelled by a \textit{process covariance matrix}, $Q_k$. The use of a direct \ac{KF} for the smoothing of the positioning solutions is generally discouraged in \ac{GNSS} navigation since it introduces memory in the process estimation, thus causing potential drifts. To mitigate the memory effect of the estimation process, \ac{KF} was implemented only for hybrid \ac{PVT} relying on previous estimations and augmenting the measurements through the collaborative inter-agent distances. This strategy limited the drift of the positioning solution computed along a random trajectory. The key point in the implementation of the \ac{KF} is the estimation of the measurements covariance matrix $R$, which  jointly considers \ac{IAR} measurements and all the available pseudoranges. For this implementation, $\mathbf{R}$ is defined as a diagonal matrix including the variance of each measurement. Given the potential correlation among the measurements, this solution is highly suboptimal for the position estimation and a more accurate estimation is advisable for a proper cooperative estimation of such a covariance matrix, such as distributed \ac{KF} approaches \cite{1067998}.

In practice, the aided agents iteratively smooth the position estimates obtained from the hybrid \ac{GNSS}/\ac{IAR} system. The predicted state $\mathbf{x}_A^{(k+1)}$  is used as an approximation of the future position. In this way, the system has a guard time for the lags introduced by the \ac{RTT} and the processing time required by the cooperative solution in potential real implementation. This solution allows to enhance the robustness of the original algorithm in terms of time-consistency of the shared measurements, as well as contributing to the reduction of the drag-back effect of the solutions obtained using previous fixes and observed in \cite{MinettoIAReusipco}.

\subsubsection{Displacement vector and pseudo-position as a virtual landmark}

In order to grant the privacy of the user and avoid the direct exchange of the position estimations, a strategy to mask the position of the aiding agent is introduced still preserving the effectiveness of the cooperative solution. This requires the definition of the $\rho$-\ac{IAR} as $\tilde{d}_{AB}^{s(k)}$ between agents $A$ and $B$ w.r.t. the satellite $s$. Each aiding agent generates a virtual landmark w.r.t. its estimated position by introducing a \textit{displacement vector} defined as $\overrightarrow{\delta d}_{B\rightarrow \tilde{B}}$ for the agent $B$. New virtual pseudoranges and angles are generated considering a given satellite position $\mathbf{x}_s^{(k)}$ and the virtual landmark, as    

\begin{equation}
\label{eq:displacement_vec}
\rho_{\tilde{B}}^{s(k)} = \rho_B^{s(k)} \cdot \mathbf{h}_B^{s(k)} + \overrightarrow{\delta d}_{B\rightarrow \tilde{B}}
\end{equation}

\begin{equation}
\label{eq:alpha}
\hat{\alpha}_{A\tilde{B}}=\cos^{-1} \left( \mathbf{h}_{\tilde{B}}^{s(k)} \mathbf{h}_A^{s(k)} \right)
\end{equation}

%The values computed w.r.t. the position $\mathbf{x}_B^{(k)}$ can then be translated on the landmark position $\mathbf{x}_{\tilde{B}}^{(k)}$ as shown in [SCHEMA ANTICIPAZIONE DA CAPITOLO BOH]. 
Given $\alpha_{AB}^{s(k)}$, $\rho_B^{s(k)}$ and  $\tilde{x}_B^{(k)}$, the landmark point can be considered as a virtual pseudo-satellite with its relative range $\rho$-\ac{IAR} w.r.t. the user. The geometrical configuration of the cooperating system and the \ac{GNSS} constellation influences the quality of the calculated $\rho$-\ac{IAR}. 

\subsubsection{CP algorithm implementation and simulation parameters}
The actual implementation of the \ac{GNSS}/\ac{INS} in the simulation environment followed the steps listed in \added[id=1]{\textbf{H-LMS IAR algorithm}} 

\begin{algorithm}[H]
\floatname{algorithm}{H-LMS IAR algorithm}
\renewcommand{\thealgorithm}{}
\caption{Basic cooperative positioning algorithms between agents sharing raw pseudorange measurements}
\begin{algorithmic}[1]
\STATE $A\rightarrow{B}$ : 	The aided agent $A$ broadcasts to the potential aiding agent $B$ its $h_i^s$ related to the prediction of its KF-based position for the satellite $s$.
\STATE $B$ : The aiding agent $B$ generates a virtual landmark $\tilde{B}$ by adding a randomly generated displacement vector to its position\\
\STATE $B$ : $B$ computes $\alpha_{A,B}^s$ w.r.t. $B$\\
\STATE $B\rightarrow{A}:$	$B$ replies to $A$ sending $\alpha_{A,B}^s$, $\tilde{\rho_B}^s$ and its virtual position estimate $\tilde{B}$.
\STATE $A$ : $A$ estimates $d_{(AB)}^s$ through the \ac{IAR} method.
\STATE $A$ : $A$ solves for the hybrid positioning equations according to \ac{H-LMS} discussed in Chapter \ref{ch:navFilters}.
\end{algorithmic}
\label{alg:algorithm1}
\end{algorithm} 

\added[id=1]{The random displacement generated by agent $B$ foreseen the generation of a vector directed towards a random direction with a reasonable magnitude. The magnitude can be established according to the specific application.}

The simulation parameter are reported in Table \ref{tab:parametersForOutageMultiagent}. \added[id=1]{The simulation scenario includes a set of agents, $\mathcal{C}$, and a set of visible satellites, $\mathcal{S}$}. The \ac{ECEF} positions of the trackable satellites are provided each second by a constellation simulator, based on non-synthetic RINEX files, w.r.t. a given position. From this reference location, the positions of the set of aiding agents is generated according to a spherical Gaussian distribution centred around the reference with a pre-defined diagonal covariance matrix.

\begin{table}
\footnotesize
\centering
\caption{Simulation parameters.}
\label{tab:parametersForOutageMultiagent}
\begin{tabular}{lcc}
\toprule
\toprule
\textbf{Simulation Parameter}   & Variable   & Value 		\\ \midrule
Number of agents 		&  $C=||\mathcal{C}||$ & $30$		\\
Number of satellites    &  $S=||\mathcal{S}||$ & $8$ 		\\
Simulation Time 		&  $T$  			   & $100 s$	\\ 
Visibility Matrix update rate&  $R$ 	   & $3$ s		\\
Standard deviation of geographical distribution 	&  $\sigma_{geo}$ 	& $1000 m$	\\
User Equivalent Range Error & $\sigma_{UERE}$ & $2$ m \\
Average speed 			& $\dot{x}$,$\dot{y}$,$\dot{z}$			& \si{15}{m/s} \\
\ac{LMS} iterations		& $J$			& 20	\\
\ac{SAIA} iterations	& $L$			& 20	\\
Simulation step			& $dt$			& \si{1}{s}	
\\ \bottomrule\bottomrule
\end{tabular}
\end{table}

\subsection{Numerical Results}

This section discusses the results obtained simulating the aforementioned algorithm and addressing the case in which the continuity of the \ac{GNSS} solution is not granted.
Therefore, Figure \ref{fig:errOutage} shows a receiver moving on a trajectory along which the \ac{GNSS} service is not always available. The red dots represent fixes obtained from a hybrid navigation filter while green dots are standalone \ac{GNSS}-only \ac{PVT} fixes. Satellites visibility from the receivers is determined by random transition of a binary matrix $V_k$, every simulation step, $dt$. Available aiding agents for each target agent are then determined according to a \textit{cross-visibility matrix} which defines the shareable satellite available for the \ac{IAR} computation at each time epoch $t_k$. Such matrix is randomly changed along the simulation to simulate changes in satellite visibility. Thus, collaborative \ac{IAR} contributions are computed whenever it is needed. Once the equations are collected and processed, the composite $\bar{\mathbf{H}}$ matrix is defined for each receiver independently, thus iterating the \ac{SAIA} algorithm for $L$ iterations within the \ac{PVT} algorithm performed for $J$ iterations \cite{Deng2015453}. 

Legacy \ac{PVT} algorithm (green markers) and \ac{IAR}-based positions (red markers) are used depending on either full or partial satellites visibility conditions, respectively. This demonstrates the good coherence and integrability of \ac{IAR} with pseudorange measurements for positioning purposes. The availability of the positioning service is increased along the path and the hybridized solutions are indeed well-distributed along the trajectory although they show a higher variance of the error w.r.t. the \ac{GNSS} estimates. It is visible from Figure \ref{fig:errOutage} that the positioning solution recovered by \ac{CP} show drifting phenomena and error higher than \SI{10}{\meter}. Despite of the drift introduced and referred to as \textit{back-drag effect}, an absolute positioning solution is still available, thus confirming the relevance of \ac{GNSS}-based collaborative ranging measurements.

It is worth to recall that the set of linearized equations involved in the hybrid \ac{PVT}, populated by cooperative and standard measurements, typically leads to an ill-conditioned configuration. A valuable countermeasure is the adoption of specific \ac{PVT} algorithm (i.e. SAIA). Alternatively, a modification of the considered linearization point for the \ac{LMS} iteration should be considered by providing the previous fix as a linearization point fr the following iterative.

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.7\columnwidth}
\includegraphics[width=1\linewidth,trim={0cm 0cm 0cm 0cm},clip]{/AVAIL/axis-accuracy_RESTYLE01.eps}
\caption{Position Error in \ac{ECEF} reference frame. Blue dots indicate \ac{GNSS} denied instants.}
       \label{fig:errOutage}
    \end{subfigure}
    \begin{subfigure}[b]{0.7\columnwidth}
\includegraphics[width=1\linewidth,trim={0cm 0cm 0cm 0cm},clip]{/AVAIL/trajectory_RX20_KF.eps}
\caption{}
\label{fig:trajOutage}
    \end{subfigure}
    \caption{{\small Error of the positioning solution of a given agent (a). Random motion trajectory for the same agent with positioning failures (red marker) in which the positioning solution is guaranteed by the hybrid navigation filter (b).}}
    \label{fig:outageSet}
\end{figure*}


As depicted in Figure \ref{fig:errOutage}, the realization of the hybrid \ac{PVT} solution applied to the simulation environment shows acceptable axis-related error on the estimated position. The curve depicts the solution that is pure \ac{GNSS}-based when enough satellites are available, and hybridized with the \ac{IAR} when outages are experienced. Thus, time epochs at which target agents experience \ac{GNSS} outages are highlighted by the small blue dots on the time axis in Figure \ref{fig:trajOutage}. If compared to the results obtained in \cite{MinettoIAReusipco}, on average, the quality of the positioning was improved. 

\subsection{Remarks on \ac{H-LMS} smoothed solution}

The algorithm previously proposed in \cite{MinettoIAReusipco} has been refined introducing a \ac{KF}-smoothed solution, that improves the accuracy of the estimation, and allows roughly compensate for the time-inconsistency of the exchanged measurements. It is indeed worthy to recall that time compensation is not foreseen in this preliminary study. The exploitation of \ac{CP} for the compensation of outages in \ac{GNSS} requires a network infrastructure and a properly designed networked receiver. Despite the scientific relevance of the aforementioned results, similar and better performances can be obtained through the integration of inertial systems \cite{cristodaro2019advanced} or finely tuning the \ac{KF} for reliable dead-reckoning position estimations. Furthermore, it must be recall the \ac{H-LMS} estimation often leads to ill-conditioned problems thus requiring a further iterative solution for each outer iteration of the algorithm. This increases considerably the computational complexity and suggests to address tight integration schemes which in parallel guarantee improved precision and accuracy in the positioning estimation.


\section{Precision GNSS and Collaborative Relative Ranges Integration}
\label{sec:CRLBsec}
%
This section presents the results of a deep investigation on the theoretical fundamentals of \ac{GNSS}-based \ac{CP}, published in \cite{minettoCRLB}. By keeping in mind the derivation of the \ac{FIM} for the Gaussian-distributed satellite range measurements discussed in Chapter \ref{ch:navFilters}, the same quantity is computed for correlated terrestrial range measurements to estimate and compare the minimum uncertainty achievable for the position estimates.
In this section, results from the aforementioned Bernoullian trajectory are first presented addressing a statistical analysis of \ac{W-IAR} measurements according to the methodology presented in Chapter \ref{ch:GNSSrangingAssessment}. The determination of the profitability of the \ac{H-LMS} is then detailed by comparing the values obtained from numerical simulation and the theoretical bound, namely \ac{CRLB}. A set of alternative analytic trajectories is eventually tested to extend the analysis to a wider range of geometrical conditions for the target agent and relative satellites positions.

\subsection{Methodology}
\label{sec:method}

The proposed numerical simulation aims at analysing the impact in terms of precision of the positioning solution computed by the target agent which integrates correlated collaborative range measurements with standalone \ac{GNSS} measurements. Furthermore, the analysis aim at verifying whether an approximation of the \ac{CRLB} can still be suitable to identify the profitability of such an integration, despite the cross-correlation among the full set of measurements. 

%\begin{figure}[h!]
%\centering
%\includegraphics[width=\textwidth,trim={0.5cm 2cm 0.5cm 2cm},clip]{/CRLB/LMS_scheme.pdf}
%\caption{{\small Block scheme of numerical simulations. The outputs of the \ac{LMS} blocks were compared to assess the positioning performance. $\mathbf{X}_s$ indicates the positions matrix of the visible satellites}.}}
%\label{fig:simulationScheme}
%\end{figure}  

\begin{figure}[h!]
\centering
\includegraphics[width=\textwidth,trim={5cm 4.5cm 5cm 4cm},clip]{/CRLB/LMS_scheme_2.pdf}
\caption{{\small Block scheme of numerical simulations. The outputs of the \ac{LMS} blocks were compared to assess the positioning performance. $\mathbf{X}_s$ indicates the positions matrix of the visible satellites}.}
\label{fig:simulationScheme}
\end{figure}  

A target agent, $A$, is supposed to travel along a predefined path while a single aiding agent, $B$, keeps its static position, $\mathbf{x}_B$, thus constituting a static anchors for every instants $t_k$. In the considered scenario both the agents compute their position estimates, $\hat{\mathbf{x}}_A^{(k)}$ and $\hat{\mathbf{x}}_B^{(k)}$, by relying on a given set of $S$ visible satellites. The target agent is designed to exploit the \ac{IAR} information obtained for each time instant, $t_k$, through the collaboration with the aiding agent. As depicted in Figure \ref{fig:simulationScheme}, the \ac{GNSS}-only positioning solution, obtained through a plain \ac{LMS}, is first performed to obtain a coarse estimate of $\hat{\mathbf{x}}_A^{(k)}$. For the sake of simplicity of the simulation environment, the pseudorange noise was characterised by the same value of $\sigma_{UERE}$ for all the available satellites, thus making the \ac{LMS} solution equivalent to a \ac{WLS}. Afterwards, the navigation data are used to determine collaborative ranges $\hat{\mathbf{d}}_{AB}^{(k)}$ which are integrated in a further hybrid positioning solution, named \ac{H-LMS}, to refine the previous outcome, hereafter referred as to $\hat{\mathbf{x}}^{+(k)}_A$. 
In order to emphasize the effects of collaborative measurements, limited satellite visibility conditions were investigated and $S=4$ satellites were considered for the simulations. The axial standard deviations were measured from the numerical simulation and, in parallel, estimated through the \ac{CRLB}. 

The results presented hereafter are based on Monte Carlo simulation by considering $W$ realizations of the target trajectory. The \ac{IAR} measurements are expected to vary along with the time, $t_k$, while satellites  are assumed to beide static to limit the variability of the scenario, without any loss of generality. The measurement and the positioning estimates are performed for each run at the same time instant, $t_k$. Pseudorange measurements are generated by perturbing true satellite-to-agent ranges with independent \ac{WGN} samples. The error covariance matrix of each positioning solution is estimated as \textit{sample covariance}, according to

\begin{equation}
\label{eq:covEstimation}
\hat{\mathbf{P}}_{x}^{(k)}=\frac{1}{W-1}\sum_{w=1}^W\left(\hat{\mathbf{x}}_w^{(k)}-E[\mathbf{x}_w^{(k)}]\right)\left(\hat{\mathbf{x}}_w^{(k)}-E[\mathbf{x}_w^{(k)}]\right)^\top
\end{equation}

In the following, the horizontal components of \eqref{eq:covEstimation} are plotted as \textit{information ellipses} according to the eigenvalues of the position error covariance matrix \cite{shen2010limitsPart1}. Further details about \eqref{eq:covEstimation} and its visual bi-dimensional representation (error ellipses or information ellipses) can be found in Appendix \ref{appendix:covEllipse}. The positioning bias is computed as the mean error w.r.t. the true position of the target agent

\begin{equation}
\label{eq:biasEstimation}
\hat{\xi}_\mathbf{x}^{(k)}=\frac{1}{W}\sum_{w=1}^W\left(\hat{\mathbf{x}}_w^{(k)}-\mathbf{x}^{(k)}\right).
\end{equation}

Let consider a set of $S$ pseudorange measurements and $C$ collaborative contributions. In order to observe the cross-correlation of such elements included in the hybrid measurements vector $\bm{\mu}^{(k)}$, the \ac{PCC}s of the measurements are computed according to 

\begin{equation}
\label{eq:corrCoeff}
C(\bm{\mu}_1^{(k)},\bm{\mu}_2^{(k)})=\frac{\text{cov}\left[\bm{\mu}_1^{(k)},\bm{\mu}_2^{(k)}\right]}{\sigma^{(k)}_{\bm{\mu}_1}\sigma^{(k)}_{\bm{\mu}_2}}.
\end{equation}

where $\text{cov}\left(\cdot\right)$ indicates the same covariance estimator as for \eqref{eq:covEstimation} and the generic $\bm{\mu}(t_k)$ is a $(S+C) \times W$ matrix collecting a set of $W$ realizations of the measurements vector for the instant $t_k$. The \textit{profitability} of the hybrid solution is evaluated by means of the trace inequality, thus computing the ratio of the time instants $t_k$ in which the condition

\begin{equation}
\text{Tr}\left(\left[{F}^{(k)}_{\text{H-LMS}}\right]^{-1}\right) > \text{Tr}\left(\left[{F}^{(k)}_{\text{LMS}}\right]^{-1}\right)
\end{equation}

is satisfied w.r.t. the overall simulation time. The \textit{profitability percentage} of the methods will be referred to as $\tau_\text{exp}$ and $\tau_\text{CRLB}$ to describe the advantage of \ac{H-LMS} computed from the numerical simulation and from \ac{CRLB}, respectively.

%The numerical simulation presented in this Section aims at analysing the impact on the positioning algorithm of the target agent integrating satellite and dependent terrestrial range measurements. Such measurements have been obtained through the \ac{W-IAR} method because of its statistical properties.

\subsection{H-LMS Positioning on Bernoullian Trajectory}
The results presented hereafter are referred to the example of collaborative scenario depicted in Figure \ref{fig:trajectory} and obtained by means of a Monte Carlo simulation, using $W=10000$ trials for each time instants $t_k$. A set of four satellites was randomly generated with azimuth
$\phi \in \left\lbrace \pi,\frac{3}{2}\pi \right\rbrace $ and elevation $\alpha \in \left\lbrace \frac{\pi}{24},\frac{\pi}{2} \right\rbrace$ as in Figure \ref{fig:skyPlot}. 

\begin{figure}[ht!]
\centering
\includegraphics[width=0.7\textwidth,trim={1.2cm 0.5cm 0.5cm .5cm},clip]{/CRLB/lemniscateTraj_peer_noAxes.eps}
\caption{{\small Example of a Bernoullian lemniscate path of $1046.7$ m travelled at an average speed of $26.15$ m/s. The dashed lines represent the collaborative terrestrial ranges provided according to the \ac{W-IAR} method. }}
\label{fig:trajectory}
\end{figure} 

\begin{figure}[ht!]
\centering
\includegraphics[width=0.7\textwidth,trim={1.2cm 0cm 1.2cm 0.5cm},clip]{/CRLB/skplotExp_revisions.eps}
\caption{{\small Skyplot of the relative azimuth, $\phi$, and elevation, $\alpha$, of the satellites and the aiding agent w.r.t. the target agent position at different time instants $t_k$ where $k\in (1,2,3,4,5)$.}}
\label{fig:skyPlot}
\end{figure} 

As depicted in the skyplot of Figure \ref{fig:skyPlot}, the relative position of the aiding agents changes according to the motion of the target agent. Red dots in Figure \ref{fig:skyPlot} shows the relative position in terms of azimuth and elevation of the aiding agent observed at time instants $t_k$ for $k \in (1,2,3,4,5)$ which are also highlighted in Figure \ref{fig:trajectory}.

\subsubsection{Statistics of collaborative IAR measurements}

In order to use a Gaussian likelihood \eqref{eq:terrLikelihood} such as proposed in Chapter \ref{ch:navFilters} to model the \ac{W-IAR} contributions, an analysis on the statistical distribution of the collaborative range measurements has been performed. Figure \ref{fig:gaussIAR} shows a time series of the statistical distributions of the \ac{W-IAR} error w.r.t. the true distance between the target and aiding agent.

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.70\columnwidth}
\includegraphics[width=1\linewidth,trim={0cm 0cm 0cm 0cm},clip]{/CRLB/IAR_gaussian_distribTimeSeries.eps}
\caption{}
       \label{fig:gaussIAR}
    \end{subfigure}
    \begin{subfigure}[b]{0.70\columnwidth}
\includegraphics[width=1\linewidth,trim={0cm 2cm 0cm 0cm},clip]{/CRLB/barplotGaussian.eps}
\caption{}
\label{fig:gaussBar}
    \end{subfigure}
    \caption{{\small Discrete time series of \ac{IAR} error \ac{PDF}s evaluated in a set of time instants along the Bernoullian trajectory (a). Occurrences percentage of \ac{BIC} best fits of the \ac{W-IAR} error w.r.t. to a set of known statistical distributions (b).}}
    \label{fig:affdsg}
\end{figure*}

%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.75\linewidth,trim={0cm 0cm 0cm 0cm},clip]{/CRLB/IAR_gaussian_distribTimeSeries.eps}
%\caption{{\small Example of IAR error PDFs evaluated in a set of time instants along the Bernoullian trajectory.}}
%\label{fig:gaussIAR}
%\end{figure} 
%It can be noticed how the qualitative plot of the statistic of the \ac{W-IAR} \ac{PDF}s resembles, for the largest part of the time, a  Gaussian distribution.
%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.75\linewidth,trim={0cm 2cm 0cm 0cm},clip]{/CRLB/barplotGaussian.eps}
%\caption{{\small Probability of \ac{BIC} best fits of the \ac{W-IAR} error w.r.t. to a set of known statistical distributions.}}
%\label{fig:gaussBar}
%\end{figure} 

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.7\textwidth}
{\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/CRLB/traj_ellipse_a.eps}}
\caption{}
\label{fig:asdf}
    \end{subfigure}
    \begin{subfigure}[b]{0.7\textwidth}
{\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/CRLB/traj_ellipse_b.eps}}
        \caption{}
\label{fig:asdfg}
    \end{subfigure}
    \caption{\small Estimated positioning solutions according to the scenario in Figure \ref{fig:trajectory}. The information ellipses describe the horizontal standard deviation at $90\%$, $99\%$ and $99.9\%$ of confidence interval, obtained from the eigenvalues of the matrix ${P}_\mathbf{x}^{(k)}$ in a subset of time instants, $t_k$. Results from a Monte Carlo simulation with parameters $W=10000$, $\sigma_{sA}^{(k)}=1 \forall k$, $max(d_{AB}^{(k)})=200$ m. }
    \label{fig:trajEstimation}
\end{figure*}


%\begin{figure*}[ht!]
%\centering
%\includegraphics[width=1\textwidth,trim={0.0cm 0cm 0cm 0cm},clip]{/CRLB/trajEstCov_horCombined_revision.eps}
%\caption{{\small Estimated positioning solutions according to the scenario in Figure \ref{fig:trajectory}. The information ellipses describe the horizontal standard deviation at $90\%$, $99\%$ and $99.9\%$ of confidence interval, obtained from the eigenvalues of the matrix ${P}_\mathbf{x}^{(k)}$ in a subset of time instants, $t_k$. Results from a Monte Carlo simulation with parameters $W=10000$, $\sigma_{sA}^{(k)}=1 \forall k$, $max(d_{AB}^{(k)})=200$ m. }}
%\label{fig:trajEstimation}
%\end{figure*} 


%\begin{figure*}[h!]
%\centering
%\begingroup
%\captionsetup[subfigure]{width=0.4\textwidth}
%\subfloat[\label{fig:experimentalSTD} Axial standard deviations estimated according to \eqref{eq:covEstimation}.]
%{\includegraphics[width=0.49\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/experimentalSTD_withTime_revision.eps}}\hfill
%\endgroup 
%\begingroup
%\captionsetup[subfigure]{width=0.4\textwidth}
%\subfloat[\label{fig:experimentalBias} Axial biases estimated according to \eqref{eq:biasEstimation}.] {\includegraphics[width=0.49\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/bias_plot_withTime_revision.eps}}\hfill
%\endgroup 
%\caption{\small Statistical analysis of experimtal biases and standard deviations of standalone and hybrid positioning solutions by means of Monte Carlo simulations.} \label{fig:combined}
%\end{figure*}

The qualitative representation of Figure \ref{fig:gaussIAR} was assessed by a full quantitative analysis based on a \ac{BIC}, used to classify the error distribution of the \ac{W-IAR} measurements. In Figure \ref{fig:gaussBar}, the histogram indicates the normalized occurrences of each fit test. 
It can be shown that in this scenario the ranging error is mostly Normally-distributed ($95.11 \%$ of the overall simulation time), thus supporting the general derivation of the \ac{CRLB} for a considerable set of time instants, $t_k$. Provided that a \ac{BIC} analysis relies on the maximization of the likelihood for a set of observations, this result strongly supports the choice of a Gaussian likelihood in the \ac{FIM} computation also for the the collaborative contributions. This aspect allows to treat the collaborative contribution like satellite range measurements without any specific adjustments in the navigation filter. Other distributions such as T-location and \ac{GEV} can be observed fitting the error statistics with a relatively low number of occurrences ($\le 5\%$). Non-Gaussian occurrences are expected to induce a mismatch between experimental values and theoretical bound.

\subsubsection{On the comparison of theoretical and experimental limits}
\label{subsec:CRLBresults}



In Figure \ref{fig:trajEstimation}, the positioning solution of the \ac{LMS} (left) and \ac{H-LMS} (right) are presented. The shape and orientation of information ellipses show a remarkable difference between the two approaches in terms of error covariance matrix of the positioning solution. The most significant improvement can be observed between the time instants $t_3$ and $t_5$ (see Figure \ref{fig:trajectory}). It is evident from these plots that the hybrid solution integrating \ac{W-IAR} measurements reduces the uncertainty in some specific portions of the path. 
The time series of axial biases and standard deviations are reported in Figure \ref{fig:experimentalSTD} and Figure \ref{fig:experimentalBias}, respectively. It is worth noticing that both the metrics show a higher dynamics for the hybrid solution due to the fast variations in the relative positions of the agents w.r.t. the slower satellites-to-target dynamics. 




%\begin{figure*}[h!]
%\centering
%\begingroup
%\captionsetup[subfigure]{width=0.4\textwidth}
%\subfloat[\label{fig:experimentalSTD} Axial standard deviations estimated according to \eqref{eq:covEstimation}.]
%{\includegraphics[width=0.49\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/experimentalSTD_withTime_revision.eps}}\hfill
%\endgroup 
%\begingroup
%\captionsetup[subfigure]{width=0.4\textwidth}
%\subfloat[\label{fig:experimentalBias} Axial biases estimated according to \eqref{eq:biasEstimation}.] {\includegraphics[width=0.49\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/bias_plot_withTime_revision.eps}}\hfill
%\endgroup 
%\caption{\small Statistical analysis of experimtal biases and standard deviations of standalone and hybrid positioning solutions by means of Monte Carlo simulations.} \label{fig:combined}
%\end{figure*}

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.7\textwidth}
{\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/CRLB/experimentalSTD_withTime_revision.eps}}
\caption{\added[id=1]{Standard deviation of the position error in ENU frame.}}
\label{fig:experimentalSTD}
    \end{subfigure}
    \begin{subfigure}[b]{0.7\textwidth}
{\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/CRLB/bias_plot_withTime_revision.eps}}
        \caption{\added[id=1]{Mean bias of the position error in ENU frame.}}
\label{fig:experimentalBias}
    \end{subfigure}
    \caption{\small Statistical analysis of experimental biases and standard deviations of standalone and hybrid positioning solutions by means of Monte Carlo simulations.}
    \label{fig:statisticalAnalysis}
\end{figure*}



By considering the standard deviation behaviour depicted in Figure \ref{fig:experimentalSTD}, it is remarkable that on $y$-axis the aforementioned improvement is still well visible between $t_3$ and $t_5$, when the collaborating agent is roughly observed in the opposite direction w.r.t. the satellites constellation. The $z$-axis is instead less sensitive to the dynamics of the agents since their relative elevation does not vary along the trajectory. As shown in Figure \ref{fig:experimentalBias}, also the bias presents a similar behaviour, showing improved performance according to the same favourable position of the collaborating agent, $\mathbf{x}_B$.


The \ac{CDF} of the \ac{RMS} error, computed along the simulation, shows that the hybrid scheme overall improves the positioning performance for error values included in approximatively \si{0.2}{m} and \si{0.9}{m} w.r.t. the standalone \ac{GNSS} solution.

\begin{figure}[ht!]
\centering
\includegraphics[width=0.7\textwidth,trim={1cm 0cm 0cm 0.6cm},clip]{/CRLB/biasCDF_revision.eps}
\caption{{\small Empirical \ac{CDF} of the positioning error $\hat{\xi}_\mathbf{x}$ for each time instant $t_k$.}}
\label{fig:biasCDF}
\end{figure} 

\begin{figure}[h!]
\centering
\includegraphics[width=0.7\textwidth,trim={1.2cm 0cm 0cm 0.0cm},clip]{/CRLB/CRLBvsEXPERIMENT_withTime_revision.eps}
\caption{{\small Comparison of measured axial standard deviations and estimated standard deviations from the \ac{CRLB} for \ac{LMS} positioning and \ac{H-LMS} by Monte Carlo simulations.}}
\label{fig:comparisonExpvsCRLB}
\end{figure} 


The plots in Figure \ref{fig:R_matrix} shows the Pearson correlation coefficients \eqref{eq:corrCoeff} of the measurements at the different time instants $t_k$. The first row and column of each matrix indicates the correlation coefficients related to the dependent \ac{W-IAR} measurement. It can be observed that in correspondence to $t_4$, which it has been a-posteriori identified as the most beneficial time-instant for cooperation, a very low correlation can be observed among the measurements. 

To observe the benefits of \ac{H-LMS} from the theoretical point of view, Figure \ref{fig:comparisonExpvsCRLB} shows the comparison of the standard deviation computed via numerical simulation and the estimated ones obtained for the \ac{CRLB} estimation of both the solutions. While the quantities match perfectly in the case of \ac{WLS}, \ac{CRLB} is not accurate for \ac{H-LMS} due to the measurement correlation among \ac{IAR} and pseudorange measurements. In correspondence of $t_4$, where the lowest correlation value has been observed, numerical values and theoretical estimations tends to match. 
%However, the theoretical estimate obtained from the CRLB assuming independence and Gaussian distributions of all the measurement can still indicates that the proposed hybridization theoretically improve the performance of the positioning solution, thus additional measurements brings information to the positioning estimation.\\
The profitability percentage in terms of horizontal precision of the \ac{H-LMS} is evaluated computing the percentage of the time in which the trace of the covariance matrices and the \ac{CRLB} of the \ac{H-LMS} are lower than the respective values from the \ac{LMS}. The profitability percentage computed by means of estimated \ac{CRLB} is $91.93\%$, which is remarkably close to the value obtained from simulated data, $89.73\%$.

Provided a coarse knowledge of the position of the collaborating agents and of the uncertainties of their \ac{GNSS} measurements, an estimation of the uncertainty of the collaborative ranges can be in turn computed \cite{minetto2018PLANS}. Finally, the approximation of the \ac{CRLB} for the hybrid positioning algorithm can be used to enable hybrid positioning according to \eqref{eq:traceInequality} or to exclude unprofitable terrestrial contributions through the minimization of the \ac{CRLB}, as in \cite{6311243}. 
% Furthermore, the Mean Square Error (MSE) of the estimation \\
 
\begin{figure*}[ht!]
\centering
\includegraphics[width=1\textwidth,trim={4cm 0cm 3cm 0cm},clip]{/CRLB/R_matrix.eps}
\caption{{\small Matrices of \ac{PCC} \eqref{eq:corrCoeff} computed for the measurement error covariance $\mathbf{R}_\rho$, and observed at sample time instants $t_k$, where $k \in \left\lbrace 1,5 \right\rbrace$.}}
\label{fig:R_matrix}
\end{figure*} 

\subsection{H-LMS Estimation on Other Trajectories}

The same scenario in terms of satellites visibility and single aiding agent contribution is used to analyse a set of different trajectories to identify the profitable behaviour of the hybrid solution with different geometrical configurations. All the trajectories are centred around the origin of the simulated scenario.%by aiming at determining the reliability of the CRLB bound as an estimation of the error covariance matrix of the positioning solutions.
\begin{figure}[h!]
\centering
\includegraphics[width=0.8\textwidth,trim={1cm 0.0cm 0cm 0cm},clip]{/CRLB/trajComparison2.eps}
\caption{{\small Horizontal \ac{CRLB} computed for \ac{H-LMS} in different elementary geometrical trajectories vs. horizontal \ac{CRLB} computed for \ac{LMS}.}}
\label{fig:trajCRLBs}
\end{figure}
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=9cm,trim={1.2cm 0.0cm 0.5cm 0cm},clip]{fig/
%trajComparison.eps}
%\caption{{\small Horizontal CRLB computed for H-LMS in different elementary geometrical trajectories vs. horizontal CRLB computed for LMS. }}
%\label{fig:trajCRLBs}
%\end{figure} 
\begin{table}
\footnotesize
\centering
\caption{Comparison of profitability of \ac{H-LMS} for other elementary geometrical trajectories}
\label{tab:trajectories}
\begin{tabular}{lcccc}
\toprule
\toprule
\textbf{Trajectory Shape}   & $\tau_\text{exp}$   & $\tau_\text{CRLB}$ & $\Delta \tau$ & MSE (m)  \\ \midrule
Squircle 				&  $72.21$ 	& $81.90$	& $9.69$ & 	$0.26$	\\
Circular 				&  $73.11$ 	& $79.46$ 	& $6.35$ &	$0.21$	\\
Rose lemniscate 		&  $74.57$  & $77.50$	& $2.93$ &	$0.16$	\\ 
Archimedea Spiral 		&  $75.41$ 	& $80.67$	& $5.26$ &	$0.13$	\\
Bernoullian lemniscate 	&  $89.73$ 	& $91.93$	& $2.20$ &	$0.15$	\\ \bottomrule\bottomrule
\end{tabular}
\end{table}
As shown in Table \ref{tab:trajectories}, the evaluation of the profitability percentage, $\tau_\text{CRLB}$, through the proposed estimation is more conservative w.r.t. the actual simulation results. Furthermore, the \ac{MSE} computed along the trajectory between simulated and theoretical standard deviation value can be considered negligible for all the tested trajectories. Figure \ref{fig:trajCRLBs} summarizes the horizontal values of the theoretical \ac{CRLB} computed for the \ac{H-LMS} using different geometrical trajectories. The values are compared to the \ac{CRLB} computed for \ac{H-LMS} which is almost constant along all the trajectories due to the large distance of the satellites from the target at each instant $t_k$. %The result presented in this work can be extended to different scenarios with multiple static or dynamic aiding agents providing multiple IAR contributions. However, increasing the complexity of the scenario hides some of the evident aspects observed in the proposed case. 





%\begin{figure}[ht!]
%\centering
%\includegraphics[width=9cm,trim={1.2cm 0.5cm 0.5cm .5cm},clip]{/CRLB/lemniscateTraj_peer_noAxes.eps}
%\caption{{\small Example of a path based on a Bernoullian lemniscate of $1046.7$ m travelled at an average speed of $26.15$ m/s. The dashed lines show the auxiliary range measurements provided according to \eqref{eq:realIAR} at different time instants. }}
%\label{fig:trajectory}
%\end{figure} 
%%
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=8cm,trim={1.2cm 0cm 0cm 1.2cm},clip]{/CRLB/skplotExp.eps}
%\caption{{\small Skyplot of the azimuth, $\phi$, and elevation, $\alpha$, of the satellites (white dots) and the aiding agent (red dots) w.r.t. the position of the target agent at given time instants.}}
%\label{fig:skyPlot}
%\end{figure} 
%%
%%
%\begin{figure}[h!]
%\centering
%\includegraphics[width=11cm,trim={0.5cm 0.2cm 0.5cm .5cm},clip]{/CRLB/LMS_scheme_EKF_v2.pdf}
%\caption{{\small Block scheme of numerical simulations. The outputs of the LMS and EKF blocks were compared to the respective hybrid versions to assess the positioning performance. $\mathbf{X}_S$ indicates the positions of the visible satellites.}}
%\label{fig:simulationScheme}
%\end{figure}  
%%
%\begin{figure*}[ht!]
%\centering
%\includegraphics[width=\textwidth,trim={0.0cm 0cm 0cm 0cm},clip]{/CRLB/trajEstCov_horCombined_v2.eps}
%\caption{{\small Estimated positioning solutions according to the scenario in Figure \ref{fig:trajectory}. The information ellipses describe the horizontal standard deviation at $90\%$, $99\%$ and $99.9\%$ of confidence interval, obtained from the eigenvalues of the matrix $P_\mathbf{x}$ in a subset of time instants, $t_k$. Results from a Monte Carlo simulation with parameters $W=10000$, $\sigma_{s,m}=1$, $max(d_{n,m})=300$ m. }}
%\label{fig:trajEstimation}
%\end{figure*} 
%
%The example reported in this paper has been chosen to easily identify profitable and not-profitable integration time spans. A single aiding agent is selected and a set of four satellites is generated by simulating limited visibility conditions of the sky (i.e. azimuth $\phi \in \left\lbrace \pi,\frac{3}{2}\pi \right\rbrace $ and elevation $\alpha \in \left\lbrace \frac{\pi}{24},\frac{\pi}{2} \right\rbrace$). The target agent moves following the Bernoullian path in Figure \ref{fig:trajectory} while the aiding agent position, $\mathbf{x}_n$, is assumed static for any $t_k$. 
%In the considered scenario both the agents estimate their positions relying on the set of satellites depicted in Figure \ref{fig:skyPlot}. 
%The target agent is designed to exploit the IAR information obtained at each time instant, $t_k$, through the collaboration with the aiding agent.\\
%
%
%
%As depicted in the scheme in Figure \ref{fig:simulationScheme}, the GNSS-only positioning, referred to as LMS or EKF, is first performed to obtain $\hat{\mathbf{x}}_m(t_k)$, then navigation data are used to determine collaborative ranges $\hat{{d}}_{n,m}(t_k)$ which are integrated in a further hybrid positioning computation, named H-LMS or H-EKF, to refine the previous outcome, hereafter referred to $\hat{\mathbf{x}}^+_m(t_k)$.\\%Satellite configuration has been generated by gathering $S=4$ satellites in the same portion of the visible sky with azimuth and elevation angles included in $\left\lbrace \pi,\frac{3}{2}\pi\right\rbrace$ and $\left\lbrace \frac{\pi}{24},\frac{\pi}{2}\right\rbrace$ respectively, according to a masking of the sky. A performance comparison is performed computing.
%The axial standard deviations were measured from the numerical simulation and, in parallel, estimated through the CRLB \eqref{eq:crlb}. 
%%Some time instants of interest were selected and further indicated in the figures to provide a link between the system dynamics and the time-series in the plots.\\
%
%In the following, the analysis is based on a Monte Carlo simulation by consider $W$ realizations of the trajectory of the moving agent. Pseudorange measurements are the only random variables responsible of variations among the trials. The IAR measurements are expected to vary along with the time, $t_k$, while satellites  are assumed static to limit the variability of the scenario. The measurement and the positioning estimation are performed for each run at the same time instant, $t_k$. \\
%The error covariance matrix of the positioning solution is estimated as 
%
%\begin{equation}
%\label{eq:covEstimation}
%\hat{P}_{x}(t_k)=\frac{1}{W-1}\sum_{w=1}^W\left(\hat{\mathbf{x}}_w(t_k)-\mathbf{\mu}(t_k)\right)\left(\hat{\mathbf{x}}_w(t_k)-\mathbf{\mu}(t_k)\right)^T
%\end{equation}
%
%In the following, the horizontal components of \eqref{eq:covEstimation} are plotted as \textit{information ellipses} \cite{shen2010limitsPart1} according to the eigenvalues of the position error covariance matrix.
%The positioning bias is computed as the mean error w.r.t. to true position of the target agent
%
%\begin{equation}
%\label{eq:biasEstimation}
%\hat{\xi}_\mathbf{x}(t_k)=\frac{1}{W-1}\sum_{w=1}^W\left(\hat{\mathbf{x}}_w-\mathbf{x}(t_k)\right).
%\end{equation}
%
%In order to observe the correlation among the measurements involved in the hybrid estimation of the position, the \textit{Pearson correlation coefficients} of the measurements vector are computed as
%
%\begin{equation}
%\label{eq:corrCoeff}
%C(\rho_1(t_k),\rho_2(t_k))=\frac{\text{cov}\left[\rho_1(t_k),\rho_2(t_k)\right]}{\sigma_{\rho_1(t_k)}\sigma_{\rho_2(t_k)}}.
%\end{equation}
%
%\subsection{Numerical results in hybrid positioning}
%\label{sec:results}
%
%\subsection{H-LMS performance}
%
%In this section, results from the aforementioned Bernoullian trajectory are  presented. They address the determination of the profitability of the H-LMS by comparing the values obtained from numerical simulation and theoretical CRLB. A set of elementary trajectories is then tested to extend the analysis to a wider range of geometrical conditions for the target agent.
%
%%\begin{figure}[ht!]
%%\centering
%%\includegraphics[width=9.6cm,trim={0.8cm 0cm 0cm 0.6cm},clip]{fig/biasCDF.eps}
%%\caption{{\small Empirical Cumulative Density Function (CDF) of the estimated RMSE computed according to the bias values obtained from \eqref{eq:biasEstimation} for each time instant $t_k$.}}
%%\label{fig:}
%%\end{figure} 
%
%
%
%
%
%%Eventuale subfloat di queste due che rappresentano la configurazione
%%\begin{figure*}
%%\centering
%%\subfloat[\label{fig:trajectory} Sample Bernoullian lemniscate path of $1046.7$ m. The dashed lines show the additional terrestrial range provided according to \eqref{eq:realIAR}.] {\includegraphics[width=0.55\textwidth,trim={1cm 0cm 0cm 0cm},clip]{fig/lemniscateTraj_peer_noAxes.eps}}\hfill
%%\subfloat[\label{fig:skyplot} Skyplot of the relative azimuth and elevation of the satellites and the aiding agent w.r.t. the target agent position at given time instants.] {\includegraphics[width=0.45\textwidth,trim={0cm 0cm 0cm 1cm},clip]{fig/skplotExp.eps}}\hfill
%%\end{figure*}
%
%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.49\textwidth}
%{\includegraphics[width=1\linewidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/experimentalSTD_withTime_v2.eps}}
%        \caption{a}
%        \label{fig:ADSF}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%{\includegraphics[width=1\linewidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/bias_plot_withTime_v2.eps}}
%        \caption{b}
%        \label{fig:asfd}
%    \end{subfigure}
%    \caption{\small{Statistical analysis of simulation biases and standard deviations provided by LMS/H-LMS estimation of the position.}}
%    \label{fig:gsdfgdg}
%\end{figure*}
%
%%\begin{figure*}[ht!]
%%\centering
%%\begingroup
%%\captionsetup[subfigure]{width=0.45\textwidth}
%%\subfloat[\label{fig:experimentalSTD} Axial standard deviations estimated according to \eqref{eq:covEstimation}.]
%%{\includegraphics[width=0.49\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/experimentalSTD_withTime_v2.eps}}\hfill
%%\endgroup 
%%\begingroup
%%\captionsetup[subfigure]{width=0.45\textwidth}
%%\subfloat[\label{fig:experimentalBias} Axial biases estimated according to \eqref{eq:biasEstimation}.] {\includegraphics[width=0.49\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/bias_plot_withTime_v2.eps}}\hfill
%%\endgroup 
%%\caption{\small Statistical analysis of simulation biases and standard deviations provided by LMS/H-LMS estimation of the position.} \label{fig:combined}
%%\end{figure*}
%
%\begin{figure*}[ht!]
%\centering
%\includegraphics[width=\textwidth,trim={3.2cm 0cm 2.5cm 0cm},clip]{/CRLB/R_matrix.eps}
%\caption{{\small Graphical representation of the matrix of Pearson correlation coefficients \eqref{eq:corrCoeff} computed for the measurement error covariance $\mathbf{R}_\mu$, and observed at different time instants $t_k$ where $k \in \left\lbrace 1,5 \right\rbrace$.}}
%\label{fig:R_matrix}
%\end{figure*} 
%
%
%
%
%\begin{figure}
%\centering
%\includegraphics[width=0.9\textwidth,trim={1cm 0cm 0cm 0.0cm},clip]{/CRLB/CRLBvsEXPERIMENT_withTime_new.eps}
%\caption{{\small Comparison of measured axial standard deviations from the CRLB for LMS positioning and estimated standard deviations obtained trough H-LMS by Monte Carlo simulations.}}
%\label{fig:comparisonExpvsCRLB}
%\end{figure} 
%
%%\begin{figure}
%%\centering
%%\includegraphics[width=9cm,trim={1.0cm 0cm 0cm 0cm},clip]{fig/lemniscateTraj_peer_new.eps}
%%\caption{{\small Estimated positioning solutions according to the scenario in Figure \ref{fig:trajectory}. The ellipses describe the horizontal standard deviation at $90\%$, $99\%$ and $99.9\%$ of confidence interval, obtained from the eigenvalues of the matrix $P_\mathbf{x}$ in a subset of time instants. }}
%%\label{fig:skyplotMisto}
%%\end{figure} 
%
%
%
%
%\subsection{Bernoullian trajectory}
%The results presented in this subsection are referred to the example of collaborative scenario depicted in Figure \ref{fig:trajectory} and obtained by means of a Monte Carlo simulation using $W=10000$ trials for each time instants $t_k$. 
%In Figure \ref{fig:trajEstimation}, the positioning solution of the LMS (left) and H-LMS (right) are presented. The information ellipses shows a remarkable difference between the two approaches in terms of error covariance matrix of the positioning solution. The most significant improvement can be observed between the time instants $t_3$ and $t_5$.  %The \si density function of the Root Mean Square Error (RMSE) computed along the trajectory and shown in Figure \ref{fig:biasCDF} shows that the hybrid solution overall improves the positioning performance w.r.t. GNSS standalone solution.  \\
%The time series of axial biases and standard deviations are reported in Figure \ref{fig:experimentalSTD} and Figure \ref{fig:experimentalBias}, respectively. It is evident from the plots that the hybrid solution integrating IAR measurements reduces the uncertainty in some specific portion of the path. It is worth to notice that both the metrics show a higher dynamics for the hybrid solution due to the fast variations in the relative positions of the agents w.r.t. the slower change rate of the satellite-to-target geometry, as expected. \\
%By considering the standard deviation behaviour depicted in Figure \ref{fig:experimentalSTD}, it is remarkable that on $y$-axis the aforementioned improvement is still well visible between $t_3$ and $t_5$ when the collaborating agent is in azimuthal opposition w.r.t. the satellites. The $z$-axis is instead less sensitive to the dynamics of the agents since their relative elevation does not vary along the trajectory. As shown in \ref{fig:experimentalBias}, also the bias presents a similar behaviour, showing improved performance according to the same favourable position of the collaborating agent, $\mathbf{x}_n$. \\ 
%The plots in Figure \ref{fig:R_matrix} shows the Pearson correlation coefficients \eqref{eq:corrCoeff} of the measurements at the different time instants $t_k$. The first row and column of each matrix indicates the correlation coefficients related to the dependent IAR measurement. It can be observed that in correspondence to $t_4$, a-posteriori identified as the most beneficial time-instant for cooperation, a very low correlation can be observed among the measurements. 
%% Visualizzare il CRLB [potenzialmente dopo le stime classiche]
%To observe the benefits of H-LMS from the theoretical point of view, Figure \ref{fig:comparisonExpvsCRLB} shows the comparison of the standard deviation computed via numerical simulation and the estimated ones obtained for the CRLB estimation of both the solutions. While the quantities match perfectly in the case of LMS, CRLB is not accurate for H-LMS due the nature of the estimator including the IAR measurements. In correspondence of $t_4$, where the uncorrelation has been observed among terrestrial and satellite ranges, numerical values and theoretical estimations tend to match. 
%%However, the theoretical estimate obtained from the CRLB assuming independence and Gaussian distributions of all the measurement can still indicates that the proposed hybridization theoretically improve the performance of the positioning solution, thus additional measurements brings information to the positioning estimation.\\
%The profitability percentage in terms of horizontal precision of the H-LMS is evaluated computing the percentage of the time in which the trace of the covariance matrices and the CRLB of the H-LMS are lower than the respective values from the LMS. As anticipated in \ref{sec:fisher}, the profitability percentage computed by means of estimated CRLBs is $~91.93\%$ which is remarkably close to the value obtained from simulated data $~89.73\%$.
%
%\subsection{Other trajectories}
%
%The same scenario of satellites and aiding agent locations is used on a set of trajectories to extend the analysis. All the trajectories are centered around the origin of the simulated scenario.%by aiming at determining the reliability of the CRLB bound as an estimation of the error covariance matrix of the positioning solutions.
%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.9\textwidth,trim={1cm 0cm 0cm 0cm},clip]{/CRLB/trajComparison.eps}
%\caption{{\small Square root of the horizontal trace of $F_{H-LMS}^{-1}$  computed for H-LMS in different elementary geometrical trajectories vs. horizontal CRLB computed for LMS.}}
%\label{fig:trajCRLBs}
%\end{figure}
%%\begin{figure}[ht!]
%%\centering
%%\includegraphics[width=9cm,trim={1.2cm 0.0cm 0.5cm 0cm},clip]{fig/
%%trajComparison.eps}
%%\caption{{\small Horizontal CRLB computed for H-LMS in different elementary geometrical trajectories vs. horizontal CRLB computed for LMS. }}
%%\label{fig:trajCRLBs}
%%\end{figure} 
%\begin{table}
%%\normalsize
%\centering
%\caption{Comparison of profitability of H-LMS for other elementary geometrical trajectories}
%\label{tab:trajectories}
%\begin{tabular}{lccc}
%\toprule
%\textbf{Trajectory Shape}   & $\tau_\text{SIM}$   & $\tau_\text{CRLB}$ & MSE (m)  \\ \midrule
%Squircle 				&  $72.21\%$ 	& $81.90\%$	 & 	$0.26$	\\
%Circular 				&  $73.11\%$  	& $79.46\%$  &	$0.21$	\\
%Rose lemniscate 		&  $74.57\%$    & $77.50\%$	 &	$0.16$	\\ 
%Archimedea Spiral 		&  $75.41\%$  	& $80.67\%$	 &	$0.13$	\\
%Bernoullian lemniscate 	&  $89.73\%$ 	& $91.93\%$	 &	$0.15$	\\ \bottomrule
%\end{tabular}
%\end{table}
%As shown in Table \ref{tab:trajectories}, the evaluation of the profitability percentage, $\tau_\text{CRLB}$, through the proposed estimation is more conservative w.r.t. the actual simulation results. Furthermore, the Mean Square Error (MSE) computed along the trajectory between simulated and theoretical value is almost negligible for all the tested trajectories. Figure \ref{fig:trajCRLBs} summarizes the horizontal values of the theoretical CRLB computed for the H-LMS using the different geometrical trajectories. The values are compared to the CRLB computed for LMS which is almost constant along all the trajectories due to the considerable distance of the satellites from the target at each $t_k$. %The result presented in this work can be extended to different scenarios with multiple static or dynamic aiding agents providing multiple IAR contributions. However, increasing the complexity of the scenario hides some of the evident aspects observed in the proposed case. 


\subsection{H-EKF Estimation on a Bernoullian Trajectory}


\begin{figure*}
\centering
\includegraphics[width=\textwidth,trim={0.0cm 0cm 0cm 0cm},clip]{/CRLB/trajEstCov_horCombined_EKF_v2.eps}
\caption{{\small Estimated EKF and H-EKF positioning solutions according to the scenario depicted in Figure \ref{fig:trajectory}. The information ellipses describe the horizontal standard deviation at $90\%$, $99\%$ and $99.9\%$ confidence intervals, obtained from the eigenvalues of the matrix $P_\mathbf{x}$ in a subset of time instants, $t_k$. Results from a Monte Carlo simulation with parameters $W=10000$, $\sigma_{sA}=1$, $max(d_{AB})=300$ m. }}
\label{fig:trajEstimation_EKF}
\end{figure*} 

Figure \ref{fig:trajEstimation_EKF} shows the same Bernoullian path presented in Figure \ref{fig:trajEstimation} along with the estimated position and associated information ellipses computed through the Monte Carlo trials of a \ac{H-EKF}. Differently from the \ac{H-LMS} solutions, the benefits of the hybridization are less evident in the \ac{H-EKF} navigation algorithm. However it is still remarkable to notice a faster convergence of the covariance in correspondence of the beginning of the simulation (coordinates $(200,0)$ in the trajectory plots). 

%\begin{figure}
%\centering
%\includegraphics[width=9.8cm,trim={0.8cm 0cm 0cm 0.6cm},clip]{fig/CRLB_EKF_REGvsHYB.eps}
%\caption{{\small Cramer Rao Bound computed for EKF and H-EKF. The ordinate axis is logarithmic scale for improved readability}}
%\label{fig:CRLBekf}
%\end{figure} 

\begin{figure}
\centering
\includegraphics[width=0.9\textwidth,trim={1.2cm 0cm 0cm 0.0cm},clip]{/CRLB/CRLB_EKF_REGvsHYB_exp_v2.eps}
\caption{{\small CRLB computed for EKF and H-EKF compared to the statistical values of the trace of the error covariance of the position obtained from the Monte Carlo simulation. The ordinate axis is logarithmic scale for improved readability.}}
\label{fig:CRLBekf}
\end{figure} 

The \ac{CRLB} defined for a \ac{H-EKF} is less sensitive to the geometry of the system as shown in the theoretical limit computation in Figure \ref{fig:CRLBekf}. This is partially due to the convergence of the covariance along the trajectory path which masks the dynamics of the CRLB. However, the example shows that the theoretical advantage between EKF and H-EKF is remarkable. It can be observed that as far as the trace value converges, the information carried by collaborative measurements becomes less relevant, differently from what we expect in theory. It has to be noticed that approaching the time instant $t_4$, the CRLB for H-LMS shows a faster decrement which matches the analysis performed for the H-LMS algorithm while the same behaviour is not evident in the experimental values. The profitability analysis of the integration of auxiliary measurements in EKF scheme provided values of $100 \%$ for all the tested trajectories shown in Table \ref{tab:trajectories} but due the peculiar considerations made for the EKF, the comparison between theoretical and experimental values is not worthy to be reported.

\subsection{Remarks on hybrid positioning solution}
\label{sec:remarks}
Under proper conditions, the hybridization of satellite-based and dependent terrestrial measurements can increase the performance of standalone \ac{GNSS} positioning similarly to the integration of independent terrestrial ranging contributions. In particular, when the geometry of the visible satellites is poor, the additional information provided by collaborating agents mostly compensates for the dilution of precision. 
 
The non-linear formula employed for the computation of single \ac{IAR} contributions between the two agents returns non-independent non-Gaussian range measurements whose distribution does not always match with the estimation model employed in \ac{LMS} and used to derive the related \ac{CRLB}. In these cases the simulated standard deviation can be lower than the \ac{CRLB} as shown in the example discussed in Section \ref{subsec:CRLBresults}. This results are supported by the theory related to biased estimators and stability conditions of the \ac{CRLB}.

The relevance of the presented results is threefold. On one side it has been shown that non-independent measurements can bring information to the positioning estimation. Furthermore, the simplistic usage of the likelihood function for Gaussian distributed variables with \ac{W-IAR} measurements shows that their distribution can be non-Gaussian, thus leading to overoptimistic and over-pessimistic outcomes mainly depending on pseudoranges quality and geometry of the collaborating agents. In the end, the advantage of the proposed hybrid positioning strictly depends on the combined geometry and quality of the terrestrial ranging information and satellites constellation.  
Summarizing, relying on a proper knowledge of the measurements uncertainties, the used likelihoods definition and the related \ac{CRLB} for the hybridization of cooperative range measurements can be used as an approximation of the expected position error covariance matrix to determine whether \ac{GNSS}-based inter-agent collaboration can improve navigation and positioning performances. 

%---------------------------------------------------------
\section{Accuracy Improvement of Position Estimation through \ac{GNSS}-only Collaborative Navigation Systems}
\label{sec:accuracySec}

This section includes a set of results obtained by processing realistic \ac{GNSS} signals through networked MATLAB-based software receiver. The following results show the effectiveness of the tight-integration of collaborative measurements up to the definition of a general trend which relates number of cooperating agents and number of visible satellites. Due to the analysis of realistic signals affected by ionospheric and tropospheric impairments, the collaborative measurements were obtained through \ac{DD} ranging method that better mitigates correlated pseudorange errors w.r.t. the \ac{IAR} methods, according to the theory included in Chapter \ref{ch:rangingAlgorithms}. The section also describes the scenario and the whole experimental setup employed to investigate the integration scheme described in Chapter \ref{ch:navFilters}.

\subsection{Simulated scenario and experimental setup}
\label{sec:sim}

\begin{figure}[h!]
\centering
\includegraphics[width=0.85\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/ACCU/testScheme.jpg}
\caption{{\small High-level block scheme of the experimental setup.}}
\label{fig:HLlabSetup}
\end{figure} 

Each agent was simulated as an unspecified vehicle getting independent pseudorange measurements from the others within the same timespan.

The setup, described in Figure \ref{fig:HLlabSetup}, was selected to simulate the proposed hybridization dealing with realistic \ac{GNSS} signals and dynamic \ac{GPS} satellite constellation. The other \ac{GNSS}s constellations (i.e. Galileo, GLONASS, Beidou) are omitted without any loss of generality.  A vehicular scenario was first generated to extract the reference trajectory and the states vector of each simulated agent with a position update rate of \si{10}{Hz}. The generated files were then processed through a \ac{RFCS} IFEN\textsuperscript{\tiny\textregistered} NavX. The \ac{GNSS} signals were generated for a dynamic \ac{GPS} constellation provided in Figure \ref{fig:skyPlot}.

\begin{figure}[h!]
\centering
\includegraphics[width=0.7\columnwidth,trim={3cm 0cm 3cm 0cm},clip]{/ACCU/simSkyplot.eps}
\caption{{\small Snapshot of simulated satellites positions by IFEN\textsuperscript{\tiny\textregistered} NavX.}}
\label{fig:skyplot}
\end{figure} 

They were transmitted by the \ac{RFCS} and hence \replaced{sampled}{acquired} by means of the ADC converter of a \ac{USRP} N210, disciplined in turn by a compact RFX-OS364 \ac{OCXO}. The resulting binary files were then processed through a MATLAB-based fully software receiver (SONG) to obtain pseudorange raw measurements out from the tracking stage and the epochs timestamps out from the coarse PVT stage. A further MATLAB script was used to combine external and own pseudorange measurements. Eventually, a modified EKF PVT stage was in charge of the position refinement according to the integration scheme proposed in Chapter \ref{ch:navFilters}. A detailed description of the relevant simulation aspects is provided hereafter.

\subsection{Scenario generation}
In order to reduce the amount of time-consuming single-agent simulations and with the aim of preserving a considerable variability of the observable processes, a Bernoullian path was designed as shown in Figure \ref{fig:scenarioSim}. The Bernoullian trajectory was centered at a given reference location (45.067825$^\circ$ Latitude and 7.591147$^\circ$ Longitude), over an area of approximately $0.4$ km$^2$. 

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/ACCU/Trj_pos_exactPositionOfAnchors.eps}
\caption{{\small Multi-agent simulation scenario. 7 fixed GNSS receivers and a Target agent moving on a Bernoullian trajectory with lobes of radius $r_{{\mathcal{L}}} = 500$. Heading information indicates the motion direction.}}
\label{fig:scenarioSim}
\end{figure} 

The seven agents indicated by the dots were kept static while the target moves along the path according to the dynamics reported in Figure \ref{fig:targetDynamics}. The choice of static collaborating agents has not to be considered as a simplification of the scenario. In fact, the focus of the study is the behaviour of an hybridized system with a variable relative dynamics among the receivers, which is fully described in Figure \ref{fig:relDynamics}. 

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0.5cm 2.5cm 0.5cm 1.5cm},clip]{/ACCU/stateOfTargetAgent_v2.eps}
\caption{{\small Simulated dynamics of the target agent.}}
\label{fig:targetDynamics}
\end{figure} 

The state vector of each agent was generated trough a Matlab\textsuperscript{\tiny\textregistered} simulation environment and stored as \texttt{.trj2} file to feed the \ac{RFCS} for the generation of the trajectories. The snapshot in Figure \ref{fig:scenarioSim} shows a possible realization of the test in which the target agent from the collaboration of agents $5,6$ and $7$. In order to cover all the configurations of the scenario, two parameters are devoted to the identification each simulation:

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={1.5cm 3cm 1.5cm 1.5cm},clip]{/ACCU/relativeDynamics_v2.eps}
\caption{{\small Simulated relative dynamics of the agents w.r.t. the target agent.}}
\label{fig:relDynamics}
\end{figure} 



\begin{itemize}
\item $S \in (4,6,8,10)$: is the number of channels in tracking. Given a reasonable proximity among the receivers, it corresponds also to the number of visible and shareable satellites, without any loss of generality. The granularity was chosen equal to 2 to show appreciable difference among the different configurations while the minimum number of satellites needed for the initialization of the positioning algorithm is set to $4$.
\item $C \in (1,2,3,4)$: is the number of collaborative contributions obtained according to \ac{DD}.
\end{itemize}

As shown in Figures \ref{fig:targetDynamics} and \ref{fig:relDynamics}, there was an evident periodicity due to the multiple laps on the Bernoullian lemniscate which is the reason why a further distinction were set based on the dynamics of the target agent. A shorter time span was chosen from \si{5}{s} to \si{80}{s} considering a low dynamic portion of the target trajectory while a longer one was chosen in \si{5}{s} to \si{160}{s}, thus including a higher relative dynamics.



\subsection{Epochs misalignment}

As discussed in Chapter \ref{ch:rxarchitecture}, the simulated \ac{GNSS} receivers compute their first fixes at independent time instants, as shown in Figure \ref{fig:epochsMis}, in which epochs are represented by squared black markers. 

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={1.5cm 4.0cm 1.5cm 0.5cm},clip]{/ACCU/EpochsMisalignment_v3.eps}
\caption{{\small Epochs misalignment for 8 asynchronous, independent GNSS receivers observed at 10 Hz w.r.t. to the reference GPS time scale.}}
\label{fig:epochsMis}
\end{figure} 

We already discussed the importance of compensating for this misalignment both in Chapter \ref{ch:rxarchitecture} and \ref{ch:rangingAlgorithms} to preserve a good time-consistency of the measurements. In order to accomplish this task, Doppler-based alignment is used. It can be shown that an inaccurate Doppler shift estimation performed by the target receiver leads to large double difference mean errors. In Figure \ref{fig:errortrend} is shown the effect of underestimating the Doppler shift w.r.t. the value measured by the receiver. \added[id=1]{The Doppler shift factor reported on the $x$-axis is expressed as a fraction of the Doppler value estimated by the target receivers.}

\begin{figure}[h!]
\centering
\includegraphics[width=0.7\columnwidth,trim={0.5cm 0cm 0.5cm 0.2cm},clip]{/ACCU/compensationTest.eps}
\caption{{\small Mean error trend on a single inter-agent GNSS-based measurement in case of underestimation of the Doppler shift by the target receiver.}}
\label{fig:errortrend}
\end{figure} 

In order to preserve the effectiveness of the Doppler-based compensation presented in Chapter \ref{ch:rangingAlgorithms}, available aiding agents are chosen within a pre-defined guard time w.r.t. the current target epoch. The guard-time value chosen in this framework was $40$ ms (before each $t_k$) and is remarked in Figure \ref{fig:epochsMis} by means of grey areas. 
This approach was used to limit the amount of collaborative contribution by facing a realistic availability which could depend both on network constraints or on timing issues, as well.


\begin{figure}[h!]
\centering
\includegraphics[width=0.8\textwidth,trim={2cm 0.1cm 2.3cm 0.1cm},clip]{/ACCU/ECEF_traj+CoopCDFvsNonCOOP.eps}
\caption{{\small Example of standalone vs. hybrid CDF on the positioning error evaluated on a long path (280 s) with $S=6$ and $C=4$ in Earth Centered Earth Fixed (ECEF) reference frame.}}
\label{fig:trajCDF}
\end{figure} 

\subsection{Results}

This section presents the quantitative results concerning the accuracy improvement provided by the tight integration of collaborative \ac{DD} collaborative contributions and standalone GNSS pseudorange measurements.

\label{sec:res}


\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{1\textwidth}
\includegraphics[width=1\textwidth,trim={2cm 0.1cm 2cm 0cm},clip]{/ACCU/correctPercentilesLowDynamics.eps}
\caption{}
\label{fig:trend01}
    \end{subfigure}
    \begin{subfigure}[b]{1\textwidth}
\includegraphics[width=1\textwidth,trim={2cm 0.1cm 2cm 0cm},clip]{/ACCU/correctPercentilesHighDynamics.eps}
        \caption{}
        \label{fig:trend02}
    \end{subfigure}
    \caption{\small Percentiles extracted from the position error CDF. Position errors computed in \textit{high relative dynamics} (\ref{fig:trend01}) and \textit{low relative dynamic} (\ref{fig:trend02}).}
    \label{fig:asfdf}
\end{figure*}

%\begin{figure*}[h!]
%\centering
%\subfloat[]{
%\includegraphics[width=1\textwidth,trim={0.0cm 0.1cm 0.0cm .1cm},clip]{/ACCU/correctPercentilesLowDynamics.eps}
%\label{fig:trend01}
%}\\
%\subfloat[]{
%\includegraphics[width=1\textwidth,trim={0.0cm 0.1cm 0.0cm .1cm},clip]{/ACCU/correctPercentilesHighDynamics.eps}
%\label{fig:trend02}
%}
%\caption{{\small Percentiles extracted from the position error CDF. Position errors computed in \textit{high relative dynamics} (\ref{fig:trend01}) and \textit{low relative dynamic} (\ref{fig:trend02}). \textbf{MANCA LA LEGENDA CHE E' UGUALE ALLA FIGURE SUCCESSIVA PIU' IL ROSSO (STANDALONE)}}}
%\end{figure*} 



\begin{figure*}[ht!]
\centering
\includegraphics[width=0.9\textwidth,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{/ACCU/AggregateCooperativeImprovement2.eps}
\caption{{\small Average Performance improvement varying the number of satellites (available channels) and the number of aiding agents (color-scale).}}
\label{fig:comparison}
\end{figure*} 

%In this section, a collection of relevant results is presented concerning the integration of a variable number of inter-agent contributions. First, a rectilinear portion (80 s) of the overall trajectory has been selected for the following numerical results. A second collection is instead obtained including 180 s of the Bernoullian trajectory.

\subsubsection{Performance metrics for positioning assessment}
By fixing the number of available satellite channels, $S \in (4,6,8,10)$, and the number of aiding contributions, $C \in (1,2,3,4)$, the positioning error was evaluated as the Euclidean distance between the reference trajectory obtained from the \ac{RFCS} and the computed position for each epoch

\begin{equation}
\label{eq:errorfun}
\xi_\mathbf{x} (t_k) = \|\hat{\mathbf{x}}_{\text{EKF}}(t_k)-\mathbf{x}(t_k) \|. 
\end{equation}

A \ac{CDF} of the positioning error was then evaluated for each parameter combination as shown in the example of Figure \ref{fig:trajCDF}. A set of percentiles was then extracted from the CDFs of the position error obtained at each epoch $t_k$, to show the reduction of positioning error according to the number of aiding contributions. Each plot shows a different number $S$ of satellites and the granularity was chosen in order to show appreciable quantitative differences.

A comparison between the standalone and hybrid solutions is provided instead by computing the Mean Accuracy Improvement along the time for each scenario. By considering the number of possible combinations of $c$ aiding agents as the binomial coefficient $P_c = {C\choose c}$, the index $\mu \in (1,2,\hdots,P_c)$ is used to identify the improvement 

\begin{equation}
\nu_{c,\mu}(t_k)= \frac{ E \left[ \xi_{\mathbf{x},\text{H-EKF}} (t_k) \right]}{ E \left[ \xi_{\mathbf{x},\text{EKF}} (t_k) \right]}  \cdot 100
\end{equation}


where the fractional terms are the time average of the \eqref{eq:errorfun}, for the EKF and H-EKF estimators, where H-EKF is used to identify the hybridized algorithms. An aggregated metrics is hence conceived as the average among all the possible combinations of aiding contributions in order to mitigate the effects of the specific geometry of a single set of aiding agents. The Aggregated Accuracy Improvement is computed as

\begin{equation}
\bar{\nu}_c = \frac{1}{P_c} \sum_{\mu=1}^{P_c} \nu_{c,\mu}.
\end{equation}

and it gives a direct information on the benefits of the proposed solution.

\subsubsection{Experimental results}

The results presented hereafter are obtained through the analysis of the two different timespans of the sample trajectory presented in Section \ref{sec:sim}. For the sake of clarity, all the data refer solely to the target agent. 
%The first timespan refers to the time interval $t \in (5,80)$ seconds, thus contemplating 780 PVT solutions along the rectilinear portion of the Bernoullian lemniscate. 
The starting time has an offset of $5$ second because a first LMS positioning stage is used at the beginning of the trajectory. Within this interval the target agent is static. \ref{sec:sim}. 

%The second timespan foresees the time interval $t \in (5,160)$ which includes static-to-rectilinear motion already considered in the previous segment and non-rectilinear dynamics faced by the target along a whole lap of the trajectory. 
The overlap between the time-spans allowed to identify an increase of the positioning error due to the complexity of the dynamics of the target agents which is not always properly modelled in the EKF design equations.

The sets of bar plots in Figures \ref{fig:trend01} and \ref{fig:trend02} summarize the values of the \ac{CDF} of position error in \eqref{eq:errorfun} for the selected percentiles. By considering respectively high relative dynamic and low relative dynamic, the results are obtained varying the number of the collaborative range contributions (represented by the color scale) and the available satellites (through different plots). 

On average the positioning solutions always benefits from the proposed integration showing relevant improvement in all the analyzed conditions.
It is worth to remark that collaborative contributions allow to effectively compensate for a lack of satellites visibility. As an example, it can be seen in low relative dynamic \ref{fig:trend02}, that the combination of 8 satellites and 2 aiding agents turns in similar accuracy w.r.t. the unaided position solution obtained by exploiting 10 satellites. Similarly 1 aiding agent with 6 visible satellites matches the performance of standalone GNSS positiong of 8 satellites for all the percentiles. Similar behaviour can be observed in high relative dynamics.

\subsubsection{High relative dynamics}

Looking at the aggregated metrics in Figure \ref{fig:comparison}, it is worthy to notice that the benefits of the integration of new ranging measurements decrease with the number of available channels when high-relative dynamics is investigated. The average improvement increases for $6$, $8$ and $10$ channels according to the number of ranging contributions while it shows an inverse trend when only 4 channels are considered. In spite of the use of an EKF, the overall positioning performances with 4 satellites are generally very poor especially considering the low Gemetrical Dilution of Precision affecting the estimation. However, the minimum improvement is about $6 \%$ ($N=10$,$C=1$) in the worst case up to the $39 \%$ of the best case ($N=4$,$C=4$).

\subsubsection{Low relative dynamics}

The behaviour in low relative dynamics still shows a remarkable improvement due to the proposed integration. The maximum error reduction is over the $15 \%$. However the number of position samples is lower and the performance about the static portion of the simulation severely affect the whole results. EKF is indeed less effective in estimation when the target is not moving because it keeps modelling the motion as linear according to the model in Chapter \ref{ch:navFilters}. For this reason, the following analysis will be restricted to the high relative dynamic dataset in which a large statistics about the trajectory drives the trend of the accuracy improvement.

\subsection{Data fitting of Mean Aggregated Improvement}
The polynomial fittings shown in Figure \ref{fig:generalTrend} summarize the benefits of the approach by analysing the aggregate average improvement versus the number of contributions from satellites and cooperating agents. 


The goodness of fittings related to the figures are evaluated in the Table \ref{tab:goodnessOfFit}. 


\begin{table}[h!]
\footnotesize
\centering
\caption{Goodness of fit of the average accuracy improvement with \ac{SSE} and related quality metrics.}\label{tab:goodnessOfFit}
\begin{tabular}{lcc}
\toprule\toprule
\textbf{Metric}        & \textbf{\thead{$3^\text{rd}$ Order Fit}}  & \textbf{\thead{$1^\text{st}$ order fit}} \\ \midrule\midrule
SSE   				&   8.329  &  288.8  \\ 
R-square   			&   0.995  &  0.84  \\ 
Adjusted R-square   &   0.989  &  0.815  \\ 
RMSE   				&   1.178  &  4.714  \\ 
\bottomrule\bottomrule
\end{tabular}
\end{table}

Despite the $3^{\text{rd}}$ order polynomial better approximates the experimental behaviour of the data, the 1st order fit provides a more readable interpretation of the experiment. As far as the number of available satellites increases, the improvement in the accuracy decreases approaching zero in correspondence of $10$ satellites in view. This suggests that the additional information carried by inter-agent contributions is less effective in good visibility conditions while it is worthy otherwise. Furthermore, it can also be assessed that remarkable improvement in terms of accuracy can be provided in good visibility when a high number of collaborating agents are exploited by the target.


\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{/ACCU/surfaceFittinOfMIP_v3.eps}
\caption{{\small $X$-$Y$ $3^\text{rd}$ order data fitting with multi-dimensional polynomial showing the trend of the average accuracy improvement in \textit{high relative dynamics} varying the number of satellites and aiding agents in high relative dynamics.}}
\label{fig:generalTrend}
\end{figure} 

\subsection{Remarks on the accuracy improvement}
Double differencing technique has been used to determine auxiliary inter-agent distances among the agents by first synchronizing the measurements through a pre-emptive clock bias estimation and a further Doppler-based compensation. The integration of such measurements in the navigation algorithm allowed to effectively compensate for inaccurate dynamics model in \ac{EKF}-based positioning reducing the error in the position estimates, thus improving the accuracy of the solution. The method has been applied to a vehicular scenario contemplating multiple agents in low and moderate relative dynamics conditions. It has been observed that cooperative tight integration copes with a misleading modelling of the dynamics of the users (low values in model covariance matrix) used in the \ac{EKF}. A comparison between a standalone positioning and a cooperative algorithm based on \ac{EKF} navigation algorithm was presented relatively to an experimental realistic using realistic \ac{GNSS} signals. The behaviour of the performance improvement showed an increasing trend in low visibility condition while the benefits of the integration decrease when an high number of shareable satellites are available. The integration of a small set of \ac{DD}-based inter agent distances compensate for severe drifts even in good sky visibility conditions. The benefits show an increasing trend as far as the number of collaborative ranges increases at any available number of channels. In parallel, the benefits of such an integration slightly decrease as far as the number of visible satellites increase. Eventually, this work shows a clear improvement in the sharing of pseudorange measurements among connected receivers especially in contexts in which a limited amount of satellite is visible for which, the experimental results showed an average improvement in accuracy of about 39\% in the worst sky visibility conditions, by relying on the collaborative measurements of 4 aiding agents.


\section{Assessment of the computational complexity of Bayesian positioning estimation in EKF and PF}
\label{sec:ekf_pfSec}

This section aim at contributing to the selection of a proper navigation filter for the hybridization of the \ac{PVT} computation using collaborative inter-agent measurements. According to the theory presented in Chapter \ref{ch:navFilters}, \ac{PF} is appealing for the superior performance in terms of estimation accuracy. Despite this, \ac{EKF} still dominates the real implementations of positioning and navigation algorithms due to its lower computational complexity. A suboptimal implementation of a \ac{PF} named \ac{s-PF} is hereafter proposed for a fair comparison of the positioning estimations performed through the two navigation filters. All the results presented in this chapter are referred to a single aided agent benefiting from multiple aiding agents sharing their raw measurements. Due to their relevance in the context of \ac{GNSS}-based \ac{CP}, they have been published in \cite{8891571}.

\subsubsection{Suboptimal implementation of a Particle Filter (s-PF)}

The strategy of implementing a s-PF (a.k.a. in literature as \ac{EPF} \cite{1544987,4570072}) aims at providing a fair comparison among the two Bayesian filters. The proposed implementation does not exploit on purpose the capability of \ac{PF} of dealing with non-Gaussian density function but it is worthy to consider that even restricting this condition, the accuracy of the estimation is higher than \ac{EKF}. Furthermore, it is remarkable that an accurate modelling of the statistics of the measurements is not suitable in practice for an optimal implementation of the \ac{PF} and the Gaussian approximation is hence applicable for a large variety of situations.

If a linear state transition function of the \ac{EKF} is used for the \textit{prediction stage} of the \ac{PF} and a Gaussian likelihood is chosen for the weights computation \eqref{eq:measLikelihood}, the \ac{PF} implementation turns to be a suboptimal estimation algorithm but the performance can be properly compared as it will be shown in the results. It is worth mentioning that the step 1 can be oversimplified by generating Gaussian-distributed particles according to the estimated covariance matrix at $\mathbf{P}_{k-1}$ prior to the prediction.


\subsection{Computational complexity of Bayesian Estimation}
A formal analysis about the complexity of the two Bayesian navigation filters presented in this chapter is summarized hereafter. By comparing the main computational steps presented in \cite{978396}, it can be noticed that the most time-consuming computation in \ac{EKF} regards the recursion about the matrix $\mathbf{P}_k$ which is not required in \ac{PF}. Let $n_\theta$ the dimension of the state vector \added[id=1]{and $N$ the number of particles used in the \ac{PF}}, the computational complexity can be approximated to $\mathcal{O}(2n_\theta^3)$ and to $\mathcal{O}(Nn_\theta^2)$ for \ac{EKF} and \ac{PF}, respectively \cite{5546308}. According to the number of elements of the state vector \eqref{eq:stateEKF}, it is worth\deleted[id=1]{y} to consider that the number of operations is comparable for the two navigation filters when $N\simeq16$ \cite{978396}. As far as $n_{\theta}$ grows the difference reduces because the measurement update becomes more complex. The complexity issue is imperative for the implementation of the algorithms in low-power hardware architectures and it can be determinant for the choice of a specific Bayesian navigation filter. \ac{PF}/\ac{EKF} implementations have been discussed in literature to limit the computational burden of the standalone \ac{PF} for a subset of state elements \cite{978396,4570072} but they are out of the scope of this work.


\subsection{Test Scenario}
\label{sec:scenario}

The Bernoullian trajectory shown in Figure \ref{fig:scene} was considered for the generation of the vehicular scenario. The trajectory was chosen among a set of geometrical paths centred at the point $C_1$.
\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0.5cm 0cm 0.5cm},clip]{/EKF_PF/Trj_pos_exactPositionOfAnchors.eps}
\caption{{\small Bernoullian Lemniscate test trajectory. The results are referred to the S-shaped portion included between instants $t_s$ and $t_{e}$ and crossing the location of agent $C_1$.}}
\label{fig:scene}
\end{figure}
The four agents indicated by the black dots $\text{C}_c$ where $c \in (1,4)$, are kept fixed while the target moves along the path according to a predefined uniformly accelerated dynamics, represented in Figure \ref{fig:scene} by the small grey dots. The tangent speed of the target agent spans from $5$ m/s to $10$ m/s in a timespan of $60$ s. The true state vector \eqref{eq:stateEKF} of each agent was generated with an update rate of $10$ Hz trough a Matlab\textsuperscript{\tiny\textregistered} simulation environment. The true trajectories were stored as \texttt{.trj2} file to feed the IFEN NavX for the generation of GPS constellation and of the realistic satellite signals.
Two different visibility conditions were considered in which the available satellite set has been randomly changed to observe the estimation performance of the two navigation filters in different conditions, as reported in Table \ref{tab:vis}. A set of 4 satellites were considered to satisfy the minimum conditions to initialize the positioning algorithm \cite{kaplan2017understanding}, while a set of 10 satellites simulates the open sky visibility of the GPS constellation. These alternatives also affected the quality of the inter-agent ranging and the overall estimation refinement obtained from the integration. 

\begin{table}[h!]
\small
\centering
\caption{Satellite visibility in the simulation scenario.}
\label{tab:vis}
\begin{tabular}{lcc}
\toprule\toprule
\textbf{Visibility}     & \textbf{No. of Satellites}  & \textbf{Satellite IDs (PRN)} \\ \midrule\midrule
Good (Open Sky) &   10  &  3,4,7,8,11,12,16,17,27,18  \\ 
Poor (Urban Canyon)	&   4   &  4,7,8,27  \\ 
\bottomrule\bottomrule
\end{tabular}
\end{table}


%\subsection{Results}
%\label{sec:results}

A first set of results, shown in Figure \ref{fig:PFwin}, describes the improved average accuracy of the s-PF estimation w.r.t. to the EKF. The fact that the same accuracy is not affordable for an EKF, clearly remarks the benefits of using such a computational expensive algorithm for the PVT solution. In fact, while PF estimation can be asymptotically improved by increasing the number of particles, EKF already provides the best achievable solution which can be only improved by better environmental conditions experienced by the receiver. 
\begin{figure}[h!]
\centering
\includegraphics[width=1\columnwidth,trim={0.5cm 0.0cm 1.0cm 0.0cm},clip]{/EKF_PF/CDF_EKFvsS_PF1000ptcls_10ch_new.eps}
\caption{{\small CDFs of the estimated trajectory with plain s-PF ($N=1000$) and EKF navigation filters.}}
\label{fig:PFwin}
\end{figure}
Although the considered implementation of the PF is suboptimal, an average accuracy improvement of $23.02 \%$ for the 50th percentile of the error distribution has been achieved in good visibility. A reduced improvement of $12.36 \%$ at the 50th percentile is instead observable in poor visibility conditions, as depicted in the right \ac{CDF} in Figure \ref{fig:PFwin}. According to the approximation of the computational complexity discussed in Chapter \ref{ch:navFilters}, the usage of $1000$ particles requires a considerable computational effort, thus making the PF filter $62.5$ times slower in the estimation routine.
\begin{figure}[h!]
\centering
\includegraphics[width=1\columnwidth,trim={0.5cm 0.0cm 1.0cm 0.0cm},clip]{/EKF_PF/10CH_particleAided1000vs200_new_cor.eps}
\caption{{\small CDFs of the estimated trajectory with Hybrid s-PF using different numbers of particles and varying the number of collaborative contributions.}}
\label{fig:PF_iar}
\end{figure}
By focusing on PF implementation, the results in Figure \ref{fig:PF_iar} show that a considerable advantage is provided by integrating auxiliary measurements when a lower number of particle is used for the PF-based estimation ($N=200$). On the left plot, it can be noticed that the hybridization cannot provide a strong improvement, thus discouraging the cooperative effort when a high number of particle is used. On the other hand, the CDFs provided in Figures \ref{fig:10CH} and \ref{fig:4CH} confirm that the integration of collaborative range measurements can dramatically improve the EKF performance avoiding the increase of complexity required by the PF. The results show that EKF can be enhanced by integrating auxiliary correlated information more efficiently than what can be done by PF implementation. This suggests a trade-off in preferring collaborative solutions w.r.t. high-complexity navigation filters.  

\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={1.0cm 0.2cm 1.0cm 0.5cm},clip]{/EKF_PF/CDF_EKFvsS-PF_FULLCOMPARISON_06_CH10_varyingColl_v03_final_new.eps}
\caption{{\small CDF of EKF and PF trajectory estimation varying the number of particles and the number of collaborative contributions in good satellite visibility.}}
\label{fig:10CH}
\end{figure}


\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={1.0cm 0.2cm 1.0cm 0.8cm},clip]{/EKF_PF/CDF_EKFvsS_PF_FULLCOMPARISON_08_4ch_varyingColl_v03_final_new.eps}
\caption{{\small CDF of EKF and PF trajectory estimation varying the number of particles and the number of collaborative contributions in poor satellite visibility.}}
\label{fig:4CH}
\end{figure}

\subsection{Final remarks}
This investigation compares the benefits of the integration of \ac{GNSS}-only auxiliary measurements to positioning and navigation by proposing the extension of the measurements vector with collaborative measurements. The analysis were performed along a low-dynamics portion of a Bernoullian trajectory to properly compare the performance of an \ac{EKF} and a suboptimal \ac{PF} in different satellites visibility conditions. The \ac{s-PF} reaches better accuracy and precision performance at a high computational cost while \ac{EKF} offers practicable computational complexity although it leads to lower accuracy. The accuracy improvement provided by multi-agents collaborative range measurements is less significant when a high number of particles is used for \ac{PF} position estimation. On the other hand, the \ac{EKF}-based integration considerably increase the accuracy of the estimation reaching values close to highly-complex \ac{s-PF} and by also maintaining a lower computational complexity. 

